Ubuntu

Lucid: b43 fatal DMA error on Dell Mini 9

Reported by Antti Kaihola on 2010-01-02
184
This bug affects 31 people
Affects Status Importance Assigned to Milestone
Linux
Confirmed
High
linux (Ubuntu)
Medium
Unassigned
Nominated for Lucid by thon0925

Bug Description

**Fix/workaround available inside compat-wireless package. Please see Post 31**

After enabling the free "Broadcom B43 wireless driver" in Lucid Netbook, I get this in kern.log:

Jan 2 23:13:40 morris kernel: [ 344.513384] b43-phy0: Controller restarted
Jan 2 23:13:40 morris kernel: [ 344.525432] b43-phy0 ERROR: Fatal DMA error: 0x00000400, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000
Jan 2 23:13:40 morris kernel: [ 344.525462] b43-phy0: Controller RESET (DMA error) ...
Jan 2 23:13:40 morris kernel: [ 344.740448] b43-phy0: Loading firmware version 410.2160 (2007-05-26 15:32:10)
Jan 2 23:13:46 morris kernel: [ 350.277387] b43-phy0: Controller restarted
Jan 2 23:13:46 morris kernel: [ 350.277700] b43-phy0 ERROR: Fatal DMA error: 0x00000400, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000
Jan 2 23:13:46 morris kernel: [ 350.277735] b43-phy0: Controller RESET (DMA error) ...
Jan 2 23:13:46 morris kernel: [ 350.496412] b43-phy0: Loading firmware version 410.2160 (2007-05-26 15:32:10)

This happens on a fresh install from a USB stick made with unetbootin from:
http://cdimage.ubuntu.com/ubuntu-netbook-remix/daily-live/20100102/lucid-netbook-i386.iso

The wireless card worked fine in Jaunty Netbook Remix.

ProblemType: Bug
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: akaihola 1527 F.... pulseaudio
CRDA: Error: [Errno 2] Tiedostoa tai hakemistoa ei ole
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf0540000 irq 22'
   Mixer name : 'Realtek ALC268'
   Components : 'HDA:10ec0268,102802b0,00100101'
   Controls : 13
   Simple ctrls : 8
Date: Sat Jan 2 23:17:33 2010
DistroRelease: Ubuntu 10.04
HibernationDevice: RESUME=UUID=d799c17e-eecd-45e5-9024-1199ace34842
InstallationMedia: Ubuntu-Netbook 10.04 "Lucid Lynx" - Alpha i386 (20100102)
MachineType: Dell Inc. Inspiron 910
Package: linux-image-2.6.32-9-generic 2.6.32-9.13
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-9-generic root=UUID=3db28a5e-1fef-4147-9442-7ead2e7c3115 ro quiet splash
ProcEnviron:
 LANG=fi_FI.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-9.13-generic
Regression: Yes
RelatedPackageVersions: linux-firmware 1.28
Reproducible: Yes
SourcePackage: linux
Tags: ubuntu-unr lucid regression-potential
TestedUpstream: Yes
Uname: Linux 2.6.32-9-generic i686
dmi.bios.date: 03/05/2009
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A05
dmi.board.name: CN0J14
dmi.board.vendor: Dell Inc.
dmi.board.version: A05
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: A05
dmi.modalias: dmi:bvnDellInc.:bvrA05:bd03/05/2009:svnDellInc.:pnInspiron910:pvrA05:rvnDellInc.:rnCN0J14:rvrA05:cvnDellInc.:ct8:cvrA05:
dmi.product.name: Inspiron 910
dmi.product.version: A05
dmi.sys.vendor: Dell Inc.

Antti Kaihola (akaihola) wrote :
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Laurence (l-d-anderson) wrote :

Need CONFIG_B43_FORCE_PIO?

http://patchwork.kernel.org/patch/66064/

Laurence (l-d-anderson) wrote :

FYI sometimes it works fine and sometimes it doesn't. Thought it might have been a reboot from Windows made it work, but then a subsequent cold boot worked too.

Antti Kaihola (akaihola) wrote :

This is still an issue with Lucid upgraded up-to-date on 2010-01-17. Cold booting or even removing the battery before power-up doesn't help at all.

I also tried activating the Broadcom STA driver instead, but it just drops into a blank console and hard freezes before succeeding with the activation.

This is a Dell Mini 9 netbook.

FYI

I suffer from the same error in Lucid (actually, in Karmic as well) on my Acer Aspire 1350. Wifi-card works well on my other machine (Thinkpad A31).
Specs:
Acer Aspire 1350: AMD Athlon 2.6GHz processor, 500 MB ram
Thinkpad A31: Intel P4 1,6 GHz processor, 1,0 GB ram
Networkmanager shows a connection, IP-address gets assigned, everything looks OK. But no data is transferred.
The wifi-card (Asus wl-100ge) does work on the Aspire if running windows.

Antti Kaihola (akaihola) wrote :

Schipper,

Your symptom is a bit different from mine: I don't even see any wireless networks in NetworkManager.

Antti Kaihola (akaihola) wrote :

Leann,

Re "importance:Medium", this bug is in practice a show-stopper for using Lucid on a Dell Mini 9. Jaunty worked perfectly.

Antti Kaihola (akaihola) wrote :

Same DMA error still present after upgrading to kernel 2.6.32-12-generic #16-Ubuntu SMP.

Antti Kaihola (akaihola) wrote :

Found a bcm43xx-dev thread which may be related:
http://<email address hidden>/msg08970.html

Antti Kaihola (akaihola) wrote :

Here's another thread where Andrew Benton has identical hardware to mine:
http://lists.berlios.de/pipermail/bcm43xx-dev/2009-November/006271.html

$ lspci -vnn | grep 14e4
03:00.0 Network controller [0280]: Broadcom Corporation BCM4312 802.11b/g [14e4:4315] (rev 01)
 Subsystem: Broadcom Corporation Device [14e4:04b5]

Antti Kaihola (akaihola) wrote :

As suggested on the bcm43xx-dev list, wireless seems to work fine with the

  acpi=off

kernel parameter. Unfortunately that's not a good work-around since other essential functionality is lost.

Antti Kaihola (akaihola) wrote :

Re #5 and #6: I actually do see the wi-fi networks and can get an IP (but no good traffic) even without acpi=off when I warm reboot after an acpi=off session.

I am also experiencing this problem on my Dell Latitude E5500 using the live CD. I have tested six times, each time with a fresh reboot from the Live CD. The following are my results:

1. Installation screen/progress bar never went away
2. Machine rebooted
3. Screen went blank, and scroll lock and numlock keys blinked
4. Worked perfectly. Surfed web, installed software, transferred 400MB file from the network. No problems.
5. Screen went blank, and scroll lock and numlock keys blinked
6. Screen went blank, and scroll lock and numlock keys blinked

I also had similar problems under Karmic's final release. At the time I just went back to using Jaunty. The machine works fine under Jaunty -- in fact, the wireless card works immediately in Jaunty with no driver installation required.

callum (callumdryden) wrote :

I am also suffering this problem error:

b43-phy0 ERROR: Fatal DMA error: 0x00000400, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000

01:00.0 Network controller [0280]: Broadcom Corporation BCM4311 802.11b/g WLAN [14e4:4311] (rev 02)

Any work around or fix appreciated

»John« (john.denton) wrote :

I was able to reproduce this bug in fresh installation of Ubuntu 9.10 on Lenovo G550 which has the BCM4312 [14e4:4315] (rev 01) built in. The b43 page on Linuxwireless says [14e4:4315] is working since 2.6.32, so I grabbed firmware with b43-fwcutter and upgraded kernel to 2.6.32.7 from ~kernel-ppa. It really worked, but I noticed considerable lags followed by the aforementioned error message and occasional graphic corruption, so there's still something fishy going on.

craptree (craptree) wrote :

Same problem here on Dell Mini 9. Not really a regression for me though. This has ALWAYS been a problem with the b43 driver. I use the bcmwl-kernel-souce package (which installs the official STA wireless driver).

Current versions of the b43 have problems communicating with this particular LP-PHY card via DMA. The patch to enable PIO options on boot would be great. Patch can be found here http://patchwork.kernel.org/patch/66372/

With this PIO can be activated with the following boot/modprobe.d command, for people with cards experiencing this problem.
options b43 pio=1

This command does not work at present as the patch is not applied to the Lucid kernel.

Riz

zvaral (z-varallyay) wrote :

Does this bug still present in lucid alpha-3?

Take the CD image from here:
http://cdimage.ubuntu.com/releases/lucid/alpha-3/

I am not sure that I actually had the same problem as the original poster, but my wireless seems to work fine with alpha 3. As I had different behavior on each re-boot before, I'll try several reboots to see if I can reproduce the problem I was having before.

I have booted four times to the live CD, each with the same behavior. I am offered two drivers, B43 and STA. It will not install the B43 drivers. The jockey.log file is attached. The STA drivers install fine and I have no problems. Minor point: I am informed by the pop up that proprietary drivers are available, but it doesn't tell me how to install them. I already knew, but my grandma wouldn't.

Of course the ideal situation is to not have to install drivers at all, like it is in Jaunty.

sam tygier (samtygier) wrote :

Same on a Lenovo S12.
I used the usb-startup-disk-creator with the alpha3 image. booted, used hardware-drivers to install b43. then rebooted. i can see the wireless networks, but get the DMA errors when i try to connect.

sam tygier (samtygier) wrote :

found this thread
http://thread.gmane.org/gmane.linux.network/151941/focus=151968

"From a distro point of view, you would not want to set FORCE_PIO as the performance penalty would be very large."

"We certainly hope to fix the issue. We do know that the failure occurs when b43
is loaded after a cold boot, but if one warm boots after using wl, then it works
OK. There is some kind of initialization problem that only shows on Atom and
some Intel Core Duo CPUs."

also the issue still occurs in mainline ppa 2.6.33 kernel.

craptree (craptree) wrote :

The patched linked earlier does not enable PIO on the B43 for everyone. It simply allows PIO to be enabled for the B43 with a boot time option in the module/conf. This would be an ideal work around for now until the B43 driver is properly fixed.

Maybe Ubuntu kernel maintainers could apply the patch to the Lucid kernel, or someone could patch a kernel and put it up on a ppa somewhere?

Riz

Jeff Craig (foxxtrot) wrote :

Experiencing the same issue with a Dell Mini 10. I'm going to try applying the patch linked above.

Jeff Craig (foxxtrot) wrote :

I applied the patch at http://patchwork.kernel.org/patch/66372/ to the ubuntu_kernel branch. It doesn't apply cleanly, so I had to manually apply a few of the changes. After rebooting into the new kernel, I'm still having problems, I can try to connect, but the syslog just keeps filling up with the following message which echos every few hundred milliseconds.

b43-phy0 ERROR: MAC suspend failed

This appears to happen only after I try to connect to a WPA-PEAP encrypted network. I can connect to an insecure access point without any problems, provided I haven't attempted the WPA connection since wireless networking was last enabled. Attached is the diff generated by git, for anyone who wants to work on debugging this.

tags: added: patch
Jeff Craig (foxxtrot) wrote :

Further testing of the above patch shows that the above breaks the acpi=off workaround mentioned in #11.

Jeff Craig (foxxtrot) wrote :

The acpi=off workaround mentioned in #11 is not a true fix. I still get the Fatal DMA errors after some time (has ranged between one and four hours) of using the Wireless.

This is when using the official Ubuntu Kernel.

craptree (craptree) wrote :

The acpi off command doesn't work for me either.

Jeff looking further at these patches it seems that they are designed to be applied to the wireless-testing source. Another patch also recently surfaced to auto drop to PIO after DMA fail on the b43.

These patches are already applied to the wireless-testing source git tree. More information on the git can be found here http://git.kernel.org/?p=linux/kernel/git/linville/wireless-testing.git;a=summary

the git location is git://git.kernel.org/pub/scm/linux/kernel/git/linville/wireless-testing.git

If I have time I will try to compile it, but I have little experiance of these things and will probably fail!

Riz

Jeff Craig (foxxtrot) wrote :

@craptree: I'll work against wireless-testing, since wasn't aware of the location of that tree, and see if it fixes the MAC Suspect Fail error I was getting.

I was able to get ndiswrapper setup and working, and it seems to be fine, though I'd rather get b43 working.

Download full text (4.4 KiB)

Cant post to Launchpad due to down time. So will paste message here ;)

"Hey hey good news. I compiled the bleeding edge linux compat wireless
which, if i understand correctly, should be based on the wireless testing
git, and so have the patches. I downloaded the pack from
http://linuxwireless.org/en/users/Download.

So far so good. Seems to be working, with no hickups yet. But it's early
days. I'll leave it on overnight downloading something and tell you how it
goes tomorrow!

Riz"

Will keep you updated :)

RIz

On 3 March 2010 18:16, Jeff Craig <email address hidden> wrote:

> @craptree: I'll work against wireless-testing, since wasn't aware of the
> location of that tree, and see if it fixes the MAC Suspect Fail error I
> was getting.
>
> I was able to get ndiswrapper setup and working, and it seems to be
> fine, though I'd rather get b43 working.
>
> --
> Lucid: b43 fatal DMA error on Dell Mini 9
> https://bugs.launchpad.net/bugs/502433
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Triaged
>
> Bug description:
> After enabling the free "Broadcom B43 wireless driver" in Lucid Netbook, I
> get this in kern.log:
>
> Jan 2 23:13:40 morris kernel: [ 344.513384] b43-phy0: Controller
> restarted
> Jan 2 23:13:40 morris kernel: [ 344.525432] b43-phy0 ERROR: Fatal DMA
> error: 0x00000400, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
> 0x00000000
> Jan 2 23:13:40 morris kernel: [ 344.525462] b43-phy0: Controller RESET
> (DMA error) ...
> Jan 2 23:13:40 morris kernel: [ 344.740448] b43-phy0: Loading firmware
> version 410.2160 (2007-05-26 15:32:10)
> Jan 2 23:13:46 morris kernel: [ 350.277387] b43-phy0: Controller
> restarted
> Jan 2 23:13:46 morris kernel: [ 350.277700] b43-phy0 ERROR: Fatal DMA
> error: 0x00000400, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
> 0x00000000
> Jan 2 23:13:46 morris kernel: [ 350.277735] b43-phy0: Controller RESET
> (DMA error) ...
> Jan 2 23:13:46 morris kernel: [ 350.496412] b43-phy0: Loading firmware
> version 410.2160 (2007-05-26 15:32:10)
>
> This happens on a fresh install from a USB stick made with unetbootin from:
>
> http://cdimage.ubuntu.com/ubuntu-netbook-remix/daily-live/20100102/lucid-netbook-i386.iso
>
> The wireless card worked fine in Jaunty Netbook Remix.
>
> ProblemType: Bug
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> Architecture: i386
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: akaihola 1527 F.... pulseaudio
> CRDA: Error: [Errno 2] Tiedostoa tai hakemistoa ei ole
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xf0540000 irq 22'
> Mixer name : 'Realtek ALC268'
> Components : 'HDA:10ec0268,102802b0,00100101'
> Controls : 13
> Simple ctrls : ...

Read more...

craptree (craptree) wrote :
Download full text (4.8 KiB)

Forgot to mention, the compat wireless package failed to properly update my
initramfs. If anyone else decides to try the pack, be sure to run [code]sudo
update-initramfs -vuk all[/code]

On 3 March 2010 23:49, riz :D <email address hidden> wrote:

> Cant post to Launchpad due to down time. So will paste message here ;)
>
> "Hey hey good news. I compiled the bleeding edge linux compat wireless
> which, if i understand correctly, should be based on the wireless testing
> git, and so have the patches. I downloaded the pack from
> http://linuxwireless.org/en/users/Download.
>
> So far so good. Seems to be working, with no hickups yet. But it's early
> days. I'll leave it on overnight downloading something and tell you how it
> goes tomorrow!
>
> Riz"
>
> Will keep you updated :)
>
> RIz
>
> On 3 March 2010 18:16, Jeff Craig <email address hidden> wrote:
>
>> @craptree: I'll work against wireless-testing, since wasn't aware of the
>> location of that tree, and see if it fixes the MAC Suspect Fail error I
>> was getting.
>>
>> I was able to get ndiswrapper setup and working, and it seems to be
>> fine, though I'd rather get b43 working.
>>
>> --
>> Lucid: b43 fatal DMA error on Dell Mini 9
>> https://bugs.launchpad.net/bugs/502433
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in “linux” package in Ubuntu: Triaged
>>
>> Bug description:
>> After enabling the free "Broadcom B43 wireless driver" in Lucid Netbook, I
>> get this in kern.log:
>>
>> Jan 2 23:13:40 morris kernel: [ 344.513384] b43-phy0: Controller
>> restarted
>> Jan 2 23:13:40 morris kernel: [ 344.525432] b43-phy0 ERROR: Fatal DMA
>> error: 0x00000400, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
>> 0x00000000
>> Jan 2 23:13:40 morris kernel: [ 344.525462] b43-phy0: Controller RESET
>> (DMA error) ...
>> Jan 2 23:13:40 morris kernel: [ 344.740448] b43-phy0: Loading firmware
>> version 410.2160 (2007-05-26 15:32:10)
>> Jan 2 23:13:46 morris kernel: [ 350.277387] b43-phy0: Controller
>> restarted
>> Jan 2 23:13:46 morris kernel: [ 350.277700] b43-phy0 ERROR: Fatal DMA
>> error: 0x00000400, 0x00000000, 0x00000000, 0x00000000, 0x00000000,
>> 0x00000000
>> Jan 2 23:13:46 morris kernel: [ 350.277735] b43-phy0: Controller RESET
>> (DMA error) ...
>> Jan 2 23:13:46 morris kernel: [ 350.496412] b43-phy0: Loading firmware
>> version 410.2160 (2007-05-26 15:32:10)
>>
>> This happens on a fresh install from a USB stick made with unetbootin
>> from:
>>
>> http://cdimage.ubuntu.com/ubuntu-netbook-remix/daily-live/20100102/lucid-netbook-i386.iso
>>
>> The wireless card worked fine in Jaunty Netbook Remix.
>>
>> ProblemType: Bug
>> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
>> AplayDevices:
>> **** List of PLAYBACK Hardware Devices ****
>> card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
>> Subdevices: 1/1
>> Subdevice #0: subdevice #0
>> Architecture: i386
>> ArecordDevices:
>> **** List of CAPTURE Hardware Devices ****
>> card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
>> Subdevices: 1/1
>> Subdevice #0: subdevice #0
>> AudioDevicesInUse:
>> USER ...

Read more...

craptree (craptree) wrote :

HURRAAHHH SUCCESSSS - 10 hours later and still streaming internet without any disconnects or errors! Seems that auto fall back to PIO doesnt work yet, but we can force pio from a config file in etc/modprobe, with the compat wireless pack.

The compat wireless in ubuntu lucid (linux backports wireless) seems to crash my computer, so I compiled mine from scratch.

This fix worked for me on 2.6.32 kernel on Ubuntu Karmic,

For those that also want the fix heres a short guide.

Go to: http://linuxwireless.org/en/users/Download
and follow their guide to compile and install the newest bleeding edge compat-wireless-2.6

Go to: http://linuxwireless.org/en/users/Drivers/b43
and follow their guide to obtain the newest firmware (ie the "4.178.10.4" version from openwrt), if you don't have it already

Once installed, update initramfs with
sudo update-initramfs -vuk all

Finally make a file called b43 to force pio from /etc/modprobe.d with the command:
echo "options b43 pio=1" > ~/b43.conf && sudo mv ~/b43.conf /etc/modprobe.d/

tags: added: karmic
removed: regression-potential
craptree (craptree) on 2010-03-04
description: updated
Changed in linux:
status: Unknown → Confirmed
sammcj (sammcj) wrote :

Its not just the 'Dell Mini 9' it's also HP Mini's!
This is pretty serious, I'm surprised 10.04 went live with this bug, especially now that netbooks are so big.

Hannes Koller (hannes-koller) wrote :

Same problem on my Lenovo S10e

same problem with Dell Inspiron 1464

I guess every laptop that has broadcom wireless will experience this

Im compiling kernel 2.6.33.3, let's see how it goes

sam tygier (samtygier) wrote :

no need to compile 2.6.33.3, you can get it from http://kernel.ubuntu.com/~kernel-ppa/mainline/

@sam, you're right

I have downloaded that and installed, now the issue is fixed!

@craptree,

followed your howto and it works but when you reboot your machine, wireless is not loaded automatically

craptree (craptree) wrote :

Hmm did you update your initramfs? The compilation script doesnt seem to do it properly itself, so you have to do it manually.
in a command prompt type
sudo update-initramfs -vuk all

Failing that, does dmesg mention anything about b43?
in a command prompt type
dmesg | grep b43

and paste the output here

Thanks
Riz

@craptree

That part is already fixed, but I have encountered another one, it can detect wireless network but it wont authenticate, password is good but it's not connecting, it keeps on asking for the password

Luis Ortiz (ijb-green) wrote :

This issue happens sudenly in a Dell Latitude E5400.

I updated my laptop from 9.10 to 10.04 and at the begining always was god but after the first actualization of 10.04 my wireless network stoped of responding.

My Card is Broadcom Corporation BCM4312 802.11b/g [14e4:4315] (rev 01). I tried to do all the steps but always my system was unstable.

I'm frustrated, nothing works for me. I go back to 9.10.

michal6103 (michal6103) wrote :

Issue still happens on Dell Studio 1537

Same problem and errors with a fresh install of 10.04. It was working until I updated the kernel and rebooted the system.

Karel (utri) wrote :

same problem here.

upgrade to kernel 2.6.34 solved problem

see more here: http://ohioloco.ubuntuforums.org/showthread.php?t=1266620

Andrew Birkett (andy-nobugs) wrote :

Thanks for the pointer Karel, I upgraded to 2.6.34 this morning, and now wifi on my Lenovo G550 (BCM4312) is working for the first time with 10.04. :-)

Changed in linux:
importance: Unknown → High
Rafał Miłecki (zajec5) wrote :

The bug in b43 driver causing DMA errors was fixed in kernel 3.0-rc1.

Brad Figg (brad-figg) wrote :

If you are running Lucid, please try the ubuntu-lucid-lbm compate-wireless package.

If you are running Maverick, Natty or Onriric and still experiencing this problem, please add a comment here.

Changed in linux (Ubuntu):
status: Triaged → Incomplete
mikewhatever (mikewhatever) wrote :

Installing "linux-backports-modules-wireless-lucid-generic" on Lucid doesn't help.

Confirmed on Precise with the 3.2.0-31-generic kernel.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: precise

Antti Kaihola, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available (not the daily folder, but the one at the top) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc4

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: bios-outdated-a07
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.